curl --request POST \
--url https://api.sandbox.trycollate.ai/v1/prior-auth/authorizations/{authorizationId}/preview \
--header 'Authorization: Bearer <token>'{
"authorizationId": "auth_123",
"workflowState": "needs_input",
"submittable": false,
"validationIssues": [
{
"field": "questionnaireResponse.items.acknowledgment_date",
"code": "required",
"message": "Required answer \"Acknowledgment date\" is missing.",
"severity": "error",
"blocking": true,
"ruleType": "required",
"relatedKeys": [
"questionnaire.acknowledgment_date"
]
}
],
"contextRequirements": [
{
"key": "context.providers.prescribing",
"label": "Prescribing provider",
"requiredMode": "required",
"status": "satisfied",
"blocking": true,
"paths": [
"providers[role=prescribing].firstName",
"providers[role=prescribing].lastName",
"providers[role=prescribing].identifiers[npi]"
],
"message": "Prescribing provider is required for this payer form."
}
],
"questionStates": [
{
"key": "questionnaire.request_type",
"linkId": "request_type",
"enabled": true,
"required": true,
"answered": true,
"blocking": false
},
{
"key": "questionnaire.acknowledgment_date",
"linkId": "acknowledgment_date",
"enabled": true,
"required": true,
"answered": false,
"blocking": true
}
],
"activeRequirementGroups": [
{
"id": "acknowledgment-date-required",
"kind": "required",
"label": "Acknowledgment date",
"message": "Provide the acknowledgment date before submitting.",
"fieldKeys": [
"questionnaire.acknowledgment_date"
],
"status": "violated",
"severity": "error",
"blocking": true
}
],
"supportingDocumentRequests": [
{
"key": "questionnaire.request_type",
"label": "Clinical documentation",
"requiredMode": "recommended",
"status": "recommended",
"likelyDocTypes": [
"clinical_note",
"treatment_plan"
],
"message": "Clinical documentation is commonly included with this request."
}
],
"mappingSummary": {
"sourceFormId": "aetna-adakveo-precert-2026-01",
"sourceFormTitle": "Adakveo Medication Precertification Request",
"requiredQuestionCount": 2,
"answeredRequiredQuestionCount": 1,
"missingRequiredQuestionKeys": [
"acknowledgment_date"
],
"filledFieldCount": 12,
"supportingDocumentCount": 0,
"supportingDocumentPageCount": 0
},
"documents": {
"filledForm": {
"fileId": "file_preview_form_123",
"downloadUrl": "https://cdn.example.com/files/preview_document/file_preview_form_123/filled-form.pdf",
"pageCount": 2
},
"draftPacket": {
"fileId": "file_preview_packet_123",
"downloadUrl": "https://cdn.example.com/files/preview_document/file_preview_packet_123/draft-packet.pdf",
"pageCount": 3
}
},
"generatedAt": "2026-03-13T17:05:00.000Z"
}Generates the current pre-submit preview for the authorization.
curl --request POST \
--url https://api.sandbox.trycollate.ai/v1/prior-auth/authorizations/{authorizationId}/preview \
--header 'Authorization: Bearer <token>'{
"authorizationId": "auth_123",
"workflowState": "needs_input",
"submittable": false,
"validationIssues": [
{
"field": "questionnaireResponse.items.acknowledgment_date",
"code": "required",
"message": "Required answer \"Acknowledgment date\" is missing.",
"severity": "error",
"blocking": true,
"ruleType": "required",
"relatedKeys": [
"questionnaire.acknowledgment_date"
]
}
],
"contextRequirements": [
{
"key": "context.providers.prescribing",
"label": "Prescribing provider",
"requiredMode": "required",
"status": "satisfied",
"blocking": true,
"paths": [
"providers[role=prescribing].firstName",
"providers[role=prescribing].lastName",
"providers[role=prescribing].identifiers[npi]"
],
"message": "Prescribing provider is required for this payer form."
}
],
"questionStates": [
{
"key": "questionnaire.request_type",
"linkId": "request_type",
"enabled": true,
"required": true,
"answered": true,
"blocking": false
},
{
"key": "questionnaire.acknowledgment_date",
"linkId": "acknowledgment_date",
"enabled": true,
"required": true,
"answered": false,
"blocking": true
}
],
"activeRequirementGroups": [
{
"id": "acknowledgment-date-required",
"kind": "required",
"label": "Acknowledgment date",
"message": "Provide the acknowledgment date before submitting.",
"fieldKeys": [
"questionnaire.acknowledgment_date"
],
"status": "violated",
"severity": "error",
"blocking": true
}
],
"supportingDocumentRequests": [
{
"key": "questionnaire.request_type",
"label": "Clinical documentation",
"requiredMode": "recommended",
"status": "recommended",
"likelyDocTypes": [
"clinical_note",
"treatment_plan"
],
"message": "Clinical documentation is commonly included with this request."
}
],
"mappingSummary": {
"sourceFormId": "aetna-adakveo-precert-2026-01",
"sourceFormTitle": "Adakveo Medication Precertification Request",
"requiredQuestionCount": 2,
"answeredRequiredQuestionCount": 1,
"missingRequiredQuestionKeys": [
"acknowledgment_date"
],
"filledFieldCount": 12,
"supportingDocumentCount": 0,
"supportingDocumentPageCount": 0
},
"documents": {
"filledForm": {
"fileId": "file_preview_form_123",
"downloadUrl": "https://cdn.example.com/files/preview_document/file_preview_form_123/filled-form.pdf",
"pageCount": 2
},
"draftPacket": {
"fileId": "file_preview_packet_123",
"downloadUrl": "https://cdn.example.com/files/preview_document/file_preview_packet_123/draft-packet.pdf",
"pageCount": 3
}
},
"generatedAt": "2026-03-13T17:05:00.000Z"
}Bearer token for WorkOS session JWTs and organization API keys.
"auth_123"
Authorization preview.
needs_input, ready_to_submit, submitting, pending_payer, action_required, completed, cancelled Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes